<?php

namespace loyalsoft;

/**
 * 玩家公会数据
 */
class Data_UserGuild extends HashSaver {

    /**
     * @var int 时间戳, 用于清理每日申请记录
     */
    public $ts;

    /**
     * @var int 时间戳, 玩家加入/创建公会的时间
     */
    public $joints;

    /**
     * @var int 所属公会id
     */
    public $guildId = 0;

    /**
     * @var array 已经申请的公会列表
     */
    public $appliedguildlist = array();

    /**
     * @var dic<int,int> 申请过的公会记录
     */
    public $appliedguildRecord;
//    

    /**
     * @var string 公会名称
     */
    public $guildName = "";

    /**
     * 角色类型
     * @var type
     */
    public $position = "";

    /**
     * @var int 创建公会冷却时间
     */
    public $create_coding = 0;

    /**
     * 清理
     * @return Data_UserGuild
     */
    public function Clear() {
        $this->ts = now();
        $this->joints = now();                                                  // 玩家公会的创建时间
        $this->guildId = 0;

        $this->appliedguildlist = array();
        $this->appliedguildRecord = ObjectInit();

        $this->position = ""; //职位

        return $this;
    }

    /**
     * 初始化个人公会信息 
     */
    public function __construct($args = null) {
        if (isset($args)) {
            parent::__construct($args);
        } else {
            $this->ts = now();
            $this->joints = now();                                              // 玩家公会的创建时间
            $this->guildId = 0;
            $this->appliedguildlist = array();
            $this->appliedguildRecord = ObjectInit();
        }
    }

}
